#### Beyond Linux® From Scratch (systemd Edition) - Version r13.0-491

### Chapter 9. General Libraries

- Prev

  libsigc++-3.6.0

- Next

  libssh2-1.11.1

- Up
- Home

# libsigsegv-2.15

## Introduction to libsigsegv

libsigsegv is a library for handling page faults in user mode. A page fault occurs when a program tries to access to a region of memory that is currently not available. Catching and handling a page fault is a useful technique for implementing pageable virtual memory, memory-mapped access to persistent databases, generational garbage collectors, stack overflow handlers, and distributed shared memory.

### Note

Development versions of BLFS may not build or run some packages properly if LFS or dependencies have been updated since the most recent stable versions of the books.

### Package Information

- Download (HTTP): https://ftpmirror.gnu.org/libsigsegv/libsigsegv-2.15.tar.gz

- Download MD5 sum: c2885785b3e5d1c94b1adb22b3002ccc

- Download size: 484 KB

- Estimated disk space required: 3.7 MB (with tests)

- Estimated build time: less than 0.1 SBU (with tests)

## Installation of libsigsegv

Install libsigsegv by running the following commands:

    ./configure --prefix=/usr    \
                --enable-shared  \
                --disable-static &&
    make

To test the results, issue: make check.

Now, as the `root` user:

    make install

## Command Explanations

`--enable-shared`: This switch ensures that shared libraries are compiled.

`--disable-static`: This switch prevents installation of static versions of the libraries.

## Contents

Installed Programs: None
Installed Library: libsigsegv.so
Installed Directories: None

### Short Descriptions

`libsigsegv.so` | is a library for handling page faults in user mode

- Prev

  libsigc++-3.6.0

- Next

  libssh2-1.11.1

- Up
- Home